Subject: bug#39154: 27.0.60; Use character history in zap-up-to-char

From: Tino Calancha <[email-masked]>
Date: Sat, 18 Jan 2020 15:37:42 +0100 (CET)

On Fri, 17 Jan 2020, Juri Linkov wrote:

> BTW, why we added only isearch-yank-until-char corresponding to zap-to-char,
> but not an isearch command corresponding to zap-up-to-char?
I wasn't aware about that function; I like it! It saves typing.

After playing with it, I see that above function corresponds to 
`zap-up-to-char' (i.e., it doesn't add CHAR to the search string).

The following changes might be worth:
- A rename, or an alias, of above function to `isearch-yank-up-to-char'
- Add similar funtion `iseach-yank-to-char' (i.e. one that inserts CHAR
   in the seach string).